id: Гость   вход   регистрация
текущее время 05:36 17/11/2019
Владелец: SATtva (создано 06/03/2007 01:19), редакция от 06/03/2007 17:16 (автор: SATtva) Печать
Категории: криптография, софт, gnupg, инфобезопасность, защита email, уязвимости, эцп
https://www.pgpru.com/Новости/2007/03-06-ВажноеОбновлениеGnuPG
создать
просмотр
редакции
ссылки

06.03 // Софт // Важное обновление GnuPG


Вернер Кох выпустил уведомление о выявлении неприятной уязвимости в GnuPG. По существу, это не является чем-то новым, но предложенная методика существенно упрощает атаку.


Проблема заключается в том, что при использовании пайпов и перенаправления вывода от программы злоумышленник (в определенных случаях) может внедрить ложный текст в сообщение, заверенное "прозрачной" подписью (clear-signed), или зашифрованное и подписанное в обычном inline-формате. Делается, к примеру, так:



Что, в результате, выдаст:



Обычно редиректы не используются при работе с GnuPG из командной строки, но они часто применяются графическими надстройками и мэйл-клиентами, использующими GnuPG для защиты сообщений и файлов (Enigmail является одним из примеров). Если программа-фронт-энд не использует интерфейс статус-кодов GnuPG, то такая атака может сработать.


Ряд контрмер, обнаруживающих такие вставки, реализован в выпущенных версия 1.4.7 и 2.0.3, всем пользователям настоятельно рекомендовано обновиться. Стоит учесть, что некоторые программы не смогут работать с этими версиями GnuPG (именно из-за изменений в механизме вывода открытого текста сообщений), но это уже проблема подобных программ, которая подлежит исправлению.


Источник: http://mozdev.org/pipermail/enigmail/2007-March/007569.html


 
Несколько комментариев (4) [показать комментарии/форму]
Ваша оценка документа [показать результаты]
-3-2-1 0+1+2+3